using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Enums
{
    [EnumDescription("竟彩投注号码类型")]
    public enum JcCodeTypeEnum
    {
        [EnumDescription("单关")]
        DanGuan=1001,
        [EnumDescription("2串1")]
        Type2C1=2001,
        [EnumDescription("3串1")]
        Type3C1=3001,
        [EnumDescription("3串3")]
        Type3C3 = 3003,
        [EnumDescription("3串4")]
        Type3C4 = 3004,
        [EnumDescription("4串1")]
        Type4C1 = 4001,
        [EnumDescription("4串4")]
        Type4C4 = 4004,
        [EnumDescription("4串5")]
        Type4C5 = 4005,
        [EnumDescription("4串6")]
        Type4C6 = 4006,
        [EnumDescription("4串11")]
        Type4C11 = 4011,
        [EnumDescription("5串1")]
        Type5C1 = 5001,
        [EnumDescription("5串5")]
        Type5C5 = 5005,
        [EnumDescription("5串6")]
        Type5C6 = 5006,
        [EnumDescription("5串10")]
        Type5C10 = 5010,
        [EnumDescription("5串16")]
        Type5C16 = 5016,
        [EnumDescription("5串20")]
        Type5C20 = 5020,
        [EnumDescription("5串26")]
        Type5C26 = 5026,
        [EnumDescription("6串1")]
        Type6C1 = 6001,
        [EnumDescription("6串6")]
        Type6C6 = 6006,
        [EnumDescription("6串7")]
        Type6C7 = 6007,
        [EnumDescription("6串15")]
        Type6C15 = 6015,
        [EnumDescription("6串20")]
        Type6C20 = 6020,
        [EnumDescription("6串22")]
        Type6C22= 6022,
        [EnumDescription("6串35")]
        Type6C35 = 6035,
        [EnumDescription("6串42")]
        Type6C42 = 6042,
        [EnumDescription("6串50")]
        Type6C50 = 6050,
        [EnumDescription("6串57")]
        Type6C57 = 6057,
        [EnumDescription("7串1")]
        Type7C1 = 7001,
        [EnumDescription("7串7")]
        Type7C7 = 7007,
        [EnumDescription("7串8")]
        Type7C8 = 7008,
        [EnumDescription("7串21")]
        Type7C21 = 7021,
        [EnumDescription("7串35")]
        Type7C35 = 7035,
        [EnumDescription("7串120")]
        Type7C120 = 7120,
        [EnumDescription("8串1")]
        Type8C1 = 8001,
        [EnumDescription("8串8")]
        Type8C8 = 8008,
        [EnumDescription("8串9")]
        Type8C9 = 8009,
        [EnumDescription("8串28")]
        Type8C28 = 8028,
        [EnumDescription("8串56")]
        Type8C56 = 8056,
        [EnumDescription("8串70")]
        Type8C70 = 8070,
        [EnumDescription("8串247")]
        Type8C247 = 8247
    }
    /// <summary>
    /// 号码类型
    ///单关 2串1 2串3 3串1 3串2 3串4 3串7 4串1 4串5 4串11 4串15 5串1 5串6 5串16 5串26 5串31 
    ///6串1 6串7 6串22 6串42 6串57 6串63 7串1 8串1 9串1 10串1 11串1 12串1 13串1 14串1 15串1
    /// </summary>
    [EnumDescription("北单投注号码类型")]
    public enum BdCodeTypeEnum
    {
        [EnumDescription("单关")]
        DanGuan = 1001,
        [EnumDescription("2串1")]
        Type2C1 = 2001,
        [EnumDescription("2串3")]
        Type2C3 = 2003,
        [EnumDescription("3串1")]
        Type3C1 = 3001,
        [EnumDescription("3串2")]
        Type3C2 = 3002,
        [EnumDescription("3串4")]
        Type3C4 = 3004,
        [EnumDescription("3串7")]
        Type3C7 = 3007,
        [EnumDescription("4串1")]
        Type4C1 = 4001,
        [EnumDescription("4串5")]
        Type4C5 = 4005,
        [EnumDescription("4串11")]
        Type4C11 = 4011,
        [EnumDescription("5串1")]
        Type5C1 = 5001,
        [EnumDescription("5串6")]
        Type5C6 = 5006,
        [EnumDescription("5串26")]
        Type5C26 = 5026,
        [EnumDescription("5串31")]
        Type5C31 = 5031,
        [EnumDescription("6串1")]
        Type6C1 = 6001,
        [EnumDescription("6串7")]
        Type6C7 = 6007,
        [EnumDescription("6串22")]
        Type6C22 = 6022,
        [EnumDescription("6串42")]
        Type6C42 = 6042,
        [EnumDescription("6串57")]
        Type6C57 = 6057,
        [EnumDescription("6串63")]
        Type6C63 = 6063,
        [EnumDescription("7串1")]
        Type7C1 = 7001,
        [EnumDescription("8串1")]
        Type8C1 = 8001,
        [EnumDescription("9串1")]
        Type9C1 = 9001,
        [EnumDescription("10串1")]
        Type10C1 = 10001,
        [EnumDescription("11串1")]
        Type11C1 = 11001,
        [EnumDescription("12串1")]
        Type12C1 = 12001,
        [EnumDescription("13串1")]
        Type13C1 = 13001,
        [EnumDescription("14串1")]
        Type14C1 = 14001,
        [EnumDescription("15串1")]
        Type15C1 = 15001
    }
}
